diff -uwr source/scripts/plane.h 4.0/source/scripts/plane.h
--- source/scripts/plane.h	2010-06-25 12:38:22.000000000 +0800
+++ 4.0/source/scripts/plane.h	2011-10-11 21:48:51.646484300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef _MATH_PLANE_H_
 #define _MATH_PLANE_H_
 
diff -uwr source/scripts/prototypeclass.h 4.0/source/scripts/prototypeclass.h
--- source/scripts/prototypeclass.h	2010-12-11 11:41:20.000000000 +0800
+++ 4.0/source/scripts/prototypeclass.h	2011-10-11 21:48:31.650390600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__PROTOTYPECLASS_H
 #define TT_INCLUDE__PROTOTYPECLASS_H
 #include "engine_io.h"
diff -uwr source/scripts/ra2.cpp 4.0/source/scripts/ra2.cpp
--- source/scripts/ra2.cpp	2010-04-14 10:13:22.000000000 +0800
+++ 4.0/source/scripts/ra2.cpp	2011-10-11 23:06:35.896484300 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts for RA2 Vengance
-	Copyright 2010 TheKGBspy, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/ra2.h 4.0/source/scripts/ra2.h
--- source/scripts/ra2.h	2010-04-14 10:13:28.000000000 +0800
+++ 4.0/source/scripts/ra2.h	2011-10-14 22:27:32.085937500 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts for RA2 Vengance
-	Copyright 2010 TheKGBspy, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 class Ra2Ven_MirageTank : public ScriptImpClass {
 	int pilotID;
 	float xpos;
diff -uwr source/scripts/ra_legacy.cpp 4.0/source/scripts/ra_legacy.cpp
--- source/scripts/ra_legacy.cpp	2010-04-14 10:13:22.000000000 +0800
+++ 4.0/source/scripts/ra_legacy.cpp	2011-10-11 23:06:37.353515600 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Legacy Scripts for RenAlert
-	Copyright 2010 Joshua "NeoSaber" Kraft, Tom "Dante" Anderson, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/ra_legacy.h 4.0/source/scripts/ra_legacy.h
--- source/scripts/ra_legacy.h	2010-04-14 10:13:28.000000000 +0800
+++ 4.0/source/scripts/ra_legacy.h	2011-10-14 22:27:32.072265600 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Legacy Scripts for RenAlert
-	Copyright 2010 Joshua "NeoSaber" Kraft, Tom "Dante" Anderson, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 class RA_Thief_Script: public ScriptImpClass {
 	bool enabled;
 	void Timer_Expired(GameObject *obj,int number);
diff -uwr source/scripts/reborn.cpp 4.0/source/scripts/reborn.cpp
--- source/scripts/reborn.cpp	2010-08-30 18:28:12.000000000 +0800
+++ 4.0/source/scripts/reborn.cpp	2011-10-11 23:06:34.511718700 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts for Reborn
-	Copyright 2010 Spirit, E!, Jonathan Wilson, WhiteDragon(MDB)
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -397,6 +396,8 @@
 		//deploy!
 		if (!mode && !enabled)
 		{
+			if (!obj->As_VehicleGameObj()->Is_Immovable())
+			{
 			obj->As_VehicleGameObj()->Set_Immovable(true);
 			Mode = 2;
 			//mode: 0=walk;1=deploy;2=deployed;3=redeploy
@@ -407,6 +408,7 @@
 			Commands->Control_Enable(Commands->Find_Object(PilotID),false);
 			obj->As_VehicleGameObj()->Set_Scripts_Can_Fire(false);
 		}
+		}
 		//redeploy!
 		else if ((mode == 2) && (!enabled) && (CanPlayAnim))
 		{
@@ -780,6 +782,8 @@
 		//mode: 0=walk;1=deploy;2=deployed;3=redeploy
 		if (!mode && !enabled)
 		{
+			if (!obj->As_VehicleGameObj()->Is_Immovable())
+			{
 			obj->As_VehicleGameObj()->Set_Immovable(true);
 			mode = 1;
 			Commands->Set_Model(obj,dmodel);
@@ -788,6 +792,7 @@
 			obj->As_VehicleGameObj()->Set_Scripts_Can_Fire(false);
 			Commands->Enable_Vehicle_Transitions(obj,false);
 		}
+		}
 		//mode: 0=walk;1=deploy;2=deployed;3=redeploy
 		else if ((mode == 2) && !enabled)
 		{
@@ -996,6 +1001,8 @@
 		//mode: 0=walk;1=deploy;2=deployed;3=redeploy
 		if (!mode && !enabled)
 		{
+			if (!obj->As_VehicleGameObj()->Is_Immovable())
+			{
 			obj->As_VehicleGameObj()->Set_Immovable(true);
 			mode = 1;
 			Commands->Set_Model(obj,dmodel);
@@ -1004,6 +1011,7 @@
 			obj->As_VehicleGameObj()->Set_Scripts_Can_Fire(false);
 			Commands->Enable_Vehicle_Transitions(obj,false);
 		}
+		}
 		//mode: 0=walk;1=deploy;2=deployed;3=redeploy
 		else if ((mode == 2) && !enabled)
 		{
@@ -1454,6 +1462,8 @@
 		//mode: 0=walk;1=deploy;2=deployed;3=redeploy
 		if (!mode && !enabled)
 		{
+			if (!obj->As_VehicleGameObj()->Is_Immovable())
+			{
 			obj->As_VehicleGameObj()->Set_Immovable(true);
 			mode = 1;
 			Commands->Set_Model(obj,dmodel);
@@ -1466,6 +1476,7 @@
 			obj->As_VehicleGameObj()->Set_Scripts_Can_Fire(false);
 			Commands->Enable_Vehicle_Transitions(obj,false);
 		}
+		}
 		//mode: 0=walk;1=deploy;2=deployed;3=redeploy
 		else if ((mode == 2) && !enabled)
 		{
diff -uwr source/scripts/reborn.h 4.0/source/scripts/reborn.h
--- source/scripts/reborn.h	2010-04-17 22:58:00.000000000 +0800
+++ 4.0/source/scripts/reborn.h	2011-10-14 22:27:32.102539000 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts for Reborn
-	Copyright 2010 Spirit, E!, Jonathan Wilson, WhiteDragon(MDB)
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software;you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 
 class Reborn_Game_Manager : public ScriptImpClass {
 	int MMK2lim;
diff -uwr source/scripts/rect.h 4.0/source/scripts/rect.h
--- source/scripts/rect.h	2009-08-03 12:24:50.000000000 +0800
+++ 4.0/source/scripts/rect.h	2011-10-11 21:47:58.541015600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__RECT_H
 #define TT_INCLUDE__RECT_H
 #include "Vector2.h"
diff -uwr source/scripts/renalert.cpp 4.0/source/scripts/renalert.cpp
--- source/scripts/renalert.cpp	2011-05-20 19:17:24.000000000 +0800
+++ 4.0/source/scripts/renalert.cpp	2011-10-21 21:50:39.677734300 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts for RenAlert
-	Copyright 2010 Joshua "NeoSaber" Kraft, Tom "Dante" Anderson, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -21,6 +20,7 @@
 #include "ScriptZoneGameObj.h"
 #include "SmartGameObj.h"
 #include "VehicleGameObjDef.h"
+#include "ArmorWarheadManager.h"
 #ifdef SSGM
 #include "gmlog.h"
 #endif
@@ -3044,11 +3044,145 @@
 	Auto_Save_Variable(&field,4,4);
 }
 
+/////////////////RA_Ore_Truck_2/////////////////
+
+void RA_Ore_Truck_2::Created(GameObject *obj)
+{
+	scoops = 0;
+	value = 0;
+	harvesting = false;
+	field = 0;
+}
+
+void RA_Ore_Truck_2::Custom(GameObject *obj, int type, int param, GameObject *sender)
+{
+	if (type == Get_Int_Parameter("Field_Enter"))
+	{
+		if (scoops < Get_Int_Parameter("Max_Capacity"))
+		{
+			field = param; //remember the field value
+			if (!harvesting) //Only begin new anim if not harvesting
+			{
+				Commands->Set_Animation(obj, Get_Parameter("Harvest_Anim"), false, 0, 0, -1, false);
+				scoops++; //take in scoop
+				Commands->Create_Sound(Get_Parameter("Harvest_Sound"),Commands->Get_Position(obj),0);
+				value += (field / Get_Int_Parameter("Max_Capacity")); //add scoop value to total value
+			}
+			harvesting = true; //now harvesting
+		}
+		else
+		{
+			harvesting = false; //truck full, can't harvest any more
+			field = 0; //forget old field
+		}
+	}
+	else if (type == Get_Int_Parameter("Field_Exit"))
+	{
+		if (harvesting)
+		{
+			harvesting = false;
+		}
+	}
+	else if (type == Get_Int_Parameter("Deposit_Enter"))//Entered deposit zone
+	{
+		if (value) //only dump ore if there is ore to dump
+		{
+			Commands->Create_Sound(Get_Parameter("Dump_Sound"),Commands->Get_Position(obj),0);
+			Commands->Set_Animation(obj, Get_Parameter("Deliver_Anim"), false, 0, 0, -1, false); 
+		}
+	}
+}
+
+void RA_Ore_Truck_2::Animation_Complete(GameObject *obj, const char *animation_name)
+{
+	if (!_stricmp(animation_name, Get_Parameter("Harvest_Anim")))
+	{
+		obj->As_PhysicalGameObj()->Clear_Animation();
+		Commands->Start_Timer(obj, this, 0.25, 95123); //wait 0.25 seconds to start new anim
+	}
+	else if (!_stricmp(animation_name, Get_Parameter("Deliver_Anim")))
+	{
+		//Ore delivered to refinery
+		Commands->Give_Money(obj, value, true); //pass out the cash
+#ifdef SSGM
+		int PlayerID;
+		GameObject *driver = Get_Vehicle_Driver(obj);
+		float reward = 0.0f;
+		if(driver)
+		{
+			PlayerID = Get_Player_ID( driver);
+			if(value == 700)
+			{
+				reward = 5.0f;
+			}
+			else if(value == 1050)
+			{
+				reward = 7.0f;
+			}
+			else if(value == 1400)
+			{
+				reward = 10.0f;
+			}
+			StringClass msg;
+			const char *str2 = Get_Team_Name(Get_Team(PlayerID));
+			const char *str = Get_Player_Name_By_ID(PlayerID);
+			msg.Format("%s dumped some Ore at the refinary, giving the %s %d additional credits each.", str, str2, (int)value);
+			delete[] str2;
+			delete[] str;
+			SSGMGameLog::Log_Message(msg,"_ORE");
+			msg.Format("ppage %d Well done soldier, you have given your team mates an extra %d credits each", PlayerID, (int)value);
+			Console_Input(msg);
+			Commands->Give_Points(driver, reward, false);
+		}
+		Create_2D_WAV_Sound_Team("gsweep.wav",0);
+#endif
+		scoops = 0; //reset capacity
+		value = 0; //reset value
+	}
+}
+
+void RA_Ore_Truck_2::Timer_Expired(GameObject *obj, int number)
+{
+	if (number == 95123)
+	{
+		if (scoops < Get_Int_Parameter("Max_Capacity"))
+		{
+			if (harvesting) //is truck still in the zone
+			{
+				Commands->Set_Animation(obj, Get_Parameter("Harvest_Anim"), false, 0, 0, -1, false);
+				scoops++; //take in scoop
+				Commands->Create_Sound(Get_Parameter("Harvest_Sound"),Commands->Get_Position(obj),0);
+				value += (field / Get_Int_Parameter("Max_Capacity")); //add now
+				//Note: variable 'field' can be changed if new enter message was received between 'scoops'
+				//This allows the truck to enter a new field type in middle of harvesting, 
+				//Keeping the correct amount for old scoop, and receving new amount for new scoop
+			}
+			else
+			{
+				field = 0; //forget old field value
+			}
+		}
+		else
+		{
+			harvesting = false;
+			field = 0;
+		}
+	}
+}
+
+void RA_Ore_Truck_2::Register_Auto_Save_Variables()
+{
+	Auto_Save_Variable(&scoops,4,1);
+	Auto_Save_Variable(&value,4,2);
+	Auto_Save_Variable(&harvesting,1,3);
+	Auto_Save_Variable(&field,4,4);
+}
+
 /////////////////RA_Ore_Field/////////////////
 
 void RA_Ore_Field::Entered(GameObject *obj, GameObject *enterer)
 {
-	if (Is_Script_Attached(enterer, "RA_Ore_Truck")) //Is this an Ore Truck?
+	if (Is_Script_Attached(enterer, "RA_Ore_Truck") || Is_Script_Attached(enterer, "RA_Ore_Truck_2")) //Is this an Ore Truck?
 	{
 		Commands->Send_Custom_Event(obj, enterer, Get_Int_Parameter("Enter"), Get_Int_Parameter("Field_Value"), 0);
 	}
@@ -3056,7 +3190,7 @@
 
 void RA_Ore_Field::Exited(GameObject *obj, GameObject *exiter)
 {
-	if (Is_Script_Attached(exiter, "RA_Ore_Truck")) //Is this an Ore Truck?
+	if (Is_Script_Attached(exiter, "RA_Ore_Truck") || Is_Script_Attached(exiter, "RA_Ore_Truck_2")) //Is this an Ore Truck?
 	{
 		Commands->Send_Custom_Event(obj, exiter, Get_Int_Parameter("Exit"), 0, 0);
 	}
@@ -3066,7 +3200,7 @@
 
 void RA_Ore_Delivery_Zone::Entered(GameObject *obj, GameObject *enterer)
 {
-	if (Is_Script_Attached(enterer, "RA_Ore_Truck")) //Is this an Ore Truck?
+	if (Is_Script_Attached(enterer, "RA_Ore_Truck") || Is_Script_Attached(enterer, "RA_Ore_Truck_2")) //Is this an Ore Truck?
 	{
 		if (Commands->Get_Player_Type(enterer) == Get_Int_Parameter("Team")) //Is it a friendly truck?
 		{
@@ -3386,6 +3520,75 @@
 	Auto_Save_Variable(&reset,4,2);
 }
 
+
+void RA_Beacon_Terminal_2::Created(GameObject *obj)
+{
+	active = false;
+	Commands->Enable_HUD_Pokable_Indicator(obj, false);
+	Attach_Script_Once(obj, "RA_Beacon_Timer", "");
+}
+
+void RA_Beacon_Terminal_2::Custom(GameObject *obj, int type, int param, GameObject *sender)
+{
+	if(type == 962962) //building dead
+	{
+		Commands->Destroy_Object(obj); //building dead, remove terminal
+	}
+	else if(type == 456369) //timer complete
+	{
+		if (!active)
+		{
+			active = true;
+			Commands->Enable_HUD_Pokable_Indicator(obj, true);
+			Create_2D_Sound_Team(Get_Parameter("BeaconReadySound"), Commands->Get_Player_Type(obj));
+		}
+	}
+	else if (type == Get_Int_Parameter("OfflineCustom"))
+	{
+		active = false;
+		Remove_Script(obj, "RA_Beacon_Timer");
+	}
+	else if (type == Get_Int_Parameter("OnlineCustom"))
+	{
+		Attach_Script_Once(obj, "RA_Beacon_Timer", "");
+	}
+}
+
+void RA_Beacon_Terminal_2::Damaged(GameObject *obj, GameObject *damager, float amount)
+{
+	unsigned int warhead = ArmorWarheadManager::Get_Warhead_Type(Get_Parameter("Warhead"));
+	if (warhead == Get_Damage_Warhead())
+	{
+		active = false;
+		Remove_Script(obj, "RA_Beacon_Timer");
+		Commands->Start_Timer(obj,this,1,1);
+	}
+}
+
+void RA_Beacon_Terminal_2::Timer_Expired(GameObject *obj, int number)
+{
+	Attach_Script_Once(obj, "RA_Beacon_Timer", "");
+}
+
+void RA_Beacon_Terminal_2::Poked(GameObject *obj, GameObject *poker)
+{
+	if(Commands->Get_Player_Type(poker) == Commands->Get_Player_Type(obj))
+	{
+		if(active)
+		{
+			Commands->Give_PowerUp(poker, Get_Parameter("BeaconPowerup"), false);
+			Attach_Script_Once(obj, "RA_Beacon_Timer", "");
+			active = false;
+			Commands->Enable_HUD_Pokable_Indicator(obj, false);
+			Create_2D_Sound_Team(Get_Parameter("BeaconTakenSound"), Commands->Get_Player_Type(obj));
+		}
+	}
+	else
+	{
+		Display_Security_Dialog(poker);
+	}
+}
+
 //////////////RA_Beacom_Timer//////////////
 
 void RA_Beacon_Timer::Created(GameObject *obj)
@@ -3669,6 +3872,7 @@
 ScriptRegistrant<RA_Credit_Theft_Zone_Timer> RA_Credit_Theft_Zone_Timer_Registrant("RA_Credit_Theft_Zone_Timer", "Enter_Message=357753:int,Team=0:int,Time:float");
 ScriptRegistrant<RA_DestroyNearest_OnDeath> RA_DestroyNearest_OnDeath_Registrant("RA_DestroyNearest_OnDeath", "Preset_Name:string");
 ScriptRegistrant<RA_Ore_Truck> RA_Ore_Truck_Registrant("RA_Ore_Truck", "Field_Enter=456654:int,Field_Exit=75321:int,Deposit_Enter=321654:int,Max_Capacity=7:int,Harvest_Anim:string,Deliver_Anim:string");
+ScriptRegistrant<RA_Ore_Truck_2> RA_Ore_Truck_2_Registrant("RA_Ore_Truck_2", "Field_Enter=456654:int,Field_Exit=75321:int,Deposit_Enter=321654:int,Max_Capacity=7:int,Harvest_Anim:string,Deliver_Anim:string,Harvest_Sound:string,Dump_Sound:string");
 ScriptRegistrant<RA_Ore_Field> RA_Ore_Field_Registrant("RA_Ore_Field", "Field_Value=700:int,Enter=456654:int,Exit=75321:int");
 ScriptRegistrant<RA_Ore_Delivery_Zone> RA_Ore_Delivery_Zone_Registrant("RA_Ore_Delivery_Zone", "Team=0:int,Enter=321654");
 ScriptRegistrant<RA_Vehicle_Team_Set> RA_Vehicle_Team_Set_Registrant("RA_Vehicle_Team_Set","");
@@ -3678,6 +3882,7 @@
 ScriptRegistrant<RA_Fog_Level_Settings> RA_Fog_Level_Settings_Registrant("RA_Fog_Level_Settings", "FogEnable=1:int,FogMin=200.0:float,FogMax=300.0:float");
 ScriptRegistrant<RA_Missile_Beacon> RA_Missile_Beacon_Registrant("RA_Missile_Beacon", "SiloPresetName:string");
 ScriptRegistrant<RA_Beacon_Terminal> RA_Beacon_Terminal_Registrant("RA_Beacon_Terminal", "BeaconPowerup:string,BeaconReadySound:string,BeaconTakenSound:string,SiloDisableSound:string,SpyNotifySound:string");
+ScriptRegistrant<RA_Beacon_Terminal_2> RA_Beacon_Terminal_2_Registrant("RA_Beacon_Terminal_2", "BeaconPowerup:string,BeaconReadySound:string,BeaconTakenSound:string,SiloDisableSound:string,OfflineCustom:string,OnlineCustom:string,Warhead:string");
 ScriptRegistrant<RA_Beacon_Timer> RA_Beacon_Timer_Registrant("RA_Beacon_Timer", "");
 ScriptRegistrant<RA_Missile_Control> RA_Missile_Control_Registrant("RA_Missile_Control","AnimationName:string");
 ScriptRegistrant<RA_Missile_Controller> RA_Missile_Controller_Registrant("RA_Missile_Controller","SiloPresetName:string,TerminalPresetName:string");
diff -uwr source/scripts/renalert.h 4.0/source/scripts/renalert.h
--- source/scripts/renalert.h	2011-04-27 17:39:36.000000000 +0800
+++ 4.0/source/scripts/renalert.h	2011-10-21 21:50:39.739257800 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts for RenAlert
-	Copyright 2010 Joshua "NeoSaber" Kraft, Tom "Dante" Anderson, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 
 class RA_Repair_Controller : public ScriptImpClass {
 	void Killed(GameObject *obj,GameObject *killer);
@@ -286,6 +286,18 @@
 	public: void Register_Auto_Save_Variables();
 };
 
+class RA_Ore_Truck_2 : public ScriptImpClass {
+	int scoops;
+	float value;
+	bool harvesting;
+	int field;
+	void Created(GameObject *obj);
+	void Custom(GameObject *obj,int type,int param,GameObject *sender);
+	void Animation_Complete(GameObject *obj,const char *animation_name);
+	void Timer_Expired(GameObject *obj, int number);
+	public: void Register_Auto_Save_Variables();
+};
+
 class RA_Ore_Field : public ScriptImpClass { 
 	void Entered(GameObject *obj,GameObject *enterer);
 	void Exited(GameObject *obj,GameObject *exiter);
@@ -343,6 +355,15 @@
 	public: void Register_Auto_Save_Variables();
 };
 
+class RA_Beacon_Terminal_2 : public ScriptImpClass {
+	bool active; //true if beacon is available
+	void Created(GameObject *obj);
+	void Custom(GameObject *obj, int type, int param, GameObject *sender); 
+	void Poked(GameObject *obj, GameObject *poker);
+	void Damaged(GameObject *obj, GameObject *damager, float amount);
+	void Timer_Expired(GameObject *obj, int number);
+};
+
 class RA_Beacon_Timer : public ScriptImpClass { 
 	//acts as timer for Beacon_Terminal
 	//This script will be removed & replaced if a spy pokes the terminal
diff -uwr source/scripts/renalert2.cpp 4.0/source/scripts/renalert2.cpp
--- source/scripts/renalert2.cpp	2010-04-14 10:13:22.000000000 +0800
+++ 4.0/source/scripts/renalert2.cpp	2011-10-11 23:06:29.205078100 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	More scripts for RenAlert (formerly from closed source scripts.dll)
-	Copyright 2010 Joshua "NeoSaber" Kraft, Mark "Saberhawk" Sararu, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/renalert2.h 4.0/source/scripts/renalert2.h
--- source/scripts/renalert2.h	2010-04-14 10:13:28.000000000 +0800
+++ 4.0/source/scripts/renalert2.h	2011-10-14 22:27:31.908203100 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	More scripts for RenAlert (formerly from closed source scripts.dll)
-	Copyright 2010 Joshua "NeoSaber" Kraft, Mark "Saberhawk" Sararu, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -10,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 /******************Missle Silo Script Declarations*******************/
 
 class RA_Missile_Silo : public ScriptImpClass {
diff -uwr source/scripts/scriptfactory.cpp 4.0/source/scripts/scriptfactory.cpp
--- source/scripts/scriptfactory.cpp	2010-04-14 10:13:22.000000000 +0800
+++ 4.0/source/scripts/scriptfactory.cpp	2011-10-11 23:06:25.951171800 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Script Factory
-	Copyright 2010 Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/scriptregistrar.cpp 4.0/source/scripts/scriptregistrar.cpp
--- source/scripts/scriptregistrar.cpp	2010-04-14 10:13:22.000000000 +0800
+++ 4.0/source/scripts/scriptregistrar.cpp	2011-10-11 23:06:24.448242100 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Script Registrar
-	Copyright 2010 Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/scripts.cpp 4.0/source/scripts/scripts.cpp
--- source/scripts/scripts.cpp	2010-05-31 13:26:12.000000000 +0800
+++ 4.0/source/scripts/scripts.cpp	2011-10-11 23:06:22.983398400 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Base script class
-	Copyright 2010 Olaf Van Der Spek, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/scripts.h 4.0/source/scripts/scripts.h
--- source/scripts/scripts.h	2011-08-22 08:02:30.000000000 +0800
+++ 4.0/source/scripts/scripts.h	2011-10-11 21:44:21.639648400 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Base scripts header
-	Copyright 2010 Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/scripts.vcxproj 4.0/source/scripts/scripts.vcxproj
--- source/scripts/scripts.vcxproj	2011-08-20 10:11:46.000000000 +0800
+++ 4.0/source/scripts/scripts.vcxproj	2011-10-14 22:25:11.455078100 +0800
@@ -227,13 +227,7 @@
       <AdditionalLibraryDirectories>..\bin\release</AdditionalLibraryDirectories>
     </Link>
     <PostBuildEvent>
-      <Command>if defined RenPath (
-del "%RenPath%\$(TargetFileName).removeme" 1&gt;NUL 2&gt;NUL
-move "%RenPath%\$(TargetFileName)" "%RenPath%\$(TargetFileName).removeme" 1&gt;NUL 2&gt;NUL
-del "%RenPath%\$(TargetFileName).removeme" 1&gt;NUL 2&gt;NUL
-)
-
-if defined RenServerPath (
+      <Command>if defined RenServerPath (
 del "%RenServerPath%\$(TargetFileName).removeme" 1&gt;NUL 2&gt;NUL
 move "%RenServerPath%\$(TargetFileName)" "%RenServerPath%\$(TargetFileName).removeme" 1&gt;NUL 2&gt;NUL
 del "%RenServerPath%\$(TargetFileName).removeme" 1&gt;NUL 2&gt;NUL
@@ -241,9 +235,6 @@
 
 verify &gt;NUL
 
-if defined RenPath (
-copy "$(TargetPath)" "%RenPath%\$(TargetFileName)"
-)
 if defined RenServerPath (
 copy "$(TargetPath)" "%RenServerPath%\$(TargetFileName)"
 )
@@ -381,13 +372,7 @@
       <AdditionalLibraryDirectories>..\bin\debug</AdditionalLibraryDirectories>
     </Link>
     <PostBuildEvent>
-      <Command>if defined RenPath (
-del "%RenPath%\$(TargetFileName).removeme" 1&gt;NUL 2&gt;NUL
-move "%RenPath%\$(TargetFileName)" "%RenPath%\$(TargetFileName).removeme" 1&gt;NUL 2&gt;NUL
-del "%RenPath%\$(TargetFileName).removeme" 1&gt;NUL 2&gt;NUL
-)
-
-if defined RenServerPath (
+      <Command>if defined RenServerPath (
 del "%RenServerPath%\$(TargetFileName).removeme" 1&gt;NUL 2&gt;NUL
 move "%RenServerPath%\$(TargetFileName)" "%RenServerPath%\$(TargetFileName).removeme" 1&gt;NUL 2&gt;NUL
 del "%RenServerPath%\$(TargetFileName).removeme" 1&gt;NUL 2&gt;NUL
@@ -395,9 +380,6 @@
 
 verify &gt;NUL
 
-if defined RenPath (
-copy "$(TargetPath)" "%RenPath%\$(TargetFileName)"
-)
 if defined RenServerPath (
 copy "$(TargetPath)" "%RenServerPath%\$(TargetFileName)"
 )
@@ -505,11 +487,17 @@
     <ClCompile Include="straw.cpp" />
     <ClCompile Include="survival.cpp" />
     <ClCompile Include="tcw_building.cpp" />
+    <ClCompile Include="tcw_center_point.cpp" />
+    <ClCompile Include="tcw_coop.cpp" />
+    <ClCompile Include="tcw_coop_cruising.cpp" />
+    <ClCompile Include="tcw_defence.cpp" />
+    <ClCompile Include="tcw_domination.cpp" />
     <ClCompile Include="tcw_game.cpp" />
     <ClCompile Include="tcw_player.cpp" />
     <ClCompile Include="tcw_powerup.cpp" />
     <ClCompile Include="tcw_technology.cpp" />
     <ClCompile Include="tcw_vehicle.cpp" />
+    <ClCompile Include="tcw_zone.cpp" />
     <ClCompile Include="tda.cpp" />
     <ClCompile Include="tfx.cpp" />
     <ClCompile Include="ThreadClass.cpp" />
@@ -675,6 +663,7 @@
       <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">true</ExcludedFromBuild>
     </ClInclude>
     <ClInclude Include="GridCull.h" />
+    <ClInclude Include="HarvesterClass.h" />
     <ClInclude Include="inttest.h" />
     <ClInclude Include="jfwcine.h" />
     <ClInclude Include="jfwcust.h" />
@@ -766,11 +755,17 @@
     <ClInclude Include="straw.h" />
     <ClInclude Include="survival.h" />
     <ClInclude Include="tcw_building.h" />
+    <ClInclude Include="tcw_center_point.h" />
+    <ClInclude Include="tcw_coop.h" />
+    <ClInclude Include="tcw_coop_cruising.h" />
+    <ClInclude Include="tcw_defence.h" />
+    <ClInclude Include="tcw_domination.h" />
     <ClInclude Include="tcw_game.h" />
     <ClInclude Include="tcw_player.h" />
     <ClInclude Include="tcw_powerup.h" />
     <ClInclude Include="tcw_technology.h" />
     <ClInclude Include="tcw_vehicle.h" />
+    <ClInclude Include="tcw_zone.h" />
     <ClInclude Include="tda.h" />
     <ClInclude Include="TeamPurchaseSettingsDefClass.h" />
     <ClInclude Include="tfx.h" />
diff -uwr source/scripts/scripts.vcxproj.filters 4.0/source/scripts/scripts.vcxproj.filters
--- source/scripts/scripts.vcxproj.filters	2011-08-20 10:11:46.000000000 +0800
+++ 4.0/source/scripts/scripts.vcxproj.filters	2011-10-14 22:25:11.498046800 +0800
@@ -446,6 +446,24 @@
     <ClCompile Include="z_uberaow.cpp">
       <Filter>01. Sources\UberAOW</Filter>
     </ClCompile>
+    <ClCompile Include="tcw_coop.cpp">
+      <Filter>01. Sources\Tib. Crystal War</Filter>
+    </ClCompile>
+    <ClCompile Include="tcw_domination.cpp">
+      <Filter>01. Sources\Tib. Crystal War</Filter>
+    </ClCompile>
+    <ClCompile Include="tcw_center_point.cpp">
+      <Filter>01. Sources\Tib. Crystal War</Filter>
+    </ClCompile>
+    <ClCompile Include="tcw_coop_cruising.cpp">
+      <Filter>01. Sources\Tib. Crystal War</Filter>
+    </ClCompile>
+    <ClCompile Include="tcw_defence.cpp">
+      <Filter>01. Sources\Tib. Crystal War</Filter>
+    </ClCompile>
+    <ClCompile Include="tcw_zone.cpp">
+      <Filter>01. Sources\Tib. Crystal War</Filter>
+    </ClCompile>
   </ItemGroup>
   <ItemGroup>
     <ResourceCompile Include="scripts.rc">
@@ -1371,6 +1389,27 @@
     <ClInclude Include="z_uberaow.h">
       <Filter>02. Headers\UberAOW</Filter>
     </ClInclude>
+    <ClInclude Include="tcw_coop.h">
+      <Filter>02. Headers\Tib. Crystal War</Filter>
+    </ClInclude>
+    <ClInclude Include="HarvesterClass.h">
+      <Filter>03. New Sources</Filter>
+    </ClInclude>
+    <ClInclude Include="tcw_domination.h">
+      <Filter>02. Headers\Tib. Crystal War</Filter>
+    </ClInclude>
+    <ClInclude Include="tcw_zone.h">
+      <Filter>02. Headers\Tib. Crystal War</Filter>
+    </ClInclude>
+    <ClInclude Include="tcw_center_point.h">
+      <Filter>02. Headers\Tib. Crystal War</Filter>
+    </ClInclude>
+    <ClInclude Include="tcw_coop_cruising.h">
+      <Filter>02. Headers\Tib. Crystal War</Filter>
+    </ClInclude>
+    <ClInclude Include="tcw_defence.h">
+      <Filter>02. Headers\Tib. Crystal War</Filter>
+    </ClInclude>
   </ItemGroup>
   <ItemGroup>
     <None Include="console.txt">
diff -uwr source/scripts/scud.cpp 4.0/source/scripts/scud.cpp
--- source/scripts/scud.cpp	2010-04-14 10:13:22.000000000 +0800
+++ 4.0/source/scripts/scud.cpp	2011-10-11 23:06:21.289062500 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Scripts by E!
-	Copyright 2010 E!, Jonathan Wilson
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
